Package org.apache.qpid.proton.framing

# Class TransportFrame

java.lang.Object
org.apache.qpid.proton.framing.TransportFrame

public class TransportFrame extends Object

## Constructor Summary

Constructors
Constructor
Description
`TransportFrame(int channel, FrameBody body, Binary payload)`

## Method Summary

Modifier and Type
Method
Description
`FrameBody`
`getBody()`
`int`
`getChannel()`
`Binary`
`getPayload()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TransportFrame

public TransportFrame(int channel, FrameBody body, Binary payload)

## Method Details

### getChannel

public int getChannel()

### getBody

public FrameBody getBody()

### getPayload

public Binary getPayload()

### toString

public String toString()

Overrides:
  `toString` in class `Object`